<div class='col-sm-12'>
    <div class='mat-elevation-z2'>
        <table mat-table [dataSource]='dataSource' matSort matSortActive="id"
                matSortDirection="asc" matSortDisableClear width="100%">
            <ng-container matColumnDef="id">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> id </th>
                <td mat-cell *matCellDef="let row"> {{ row.id }}</td>
            </ng-container>
            <ng-container matColumnDef="marque">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> marque </th>
                <td mat-cell *matCellDef="let row"> {{ row.marque }}</td>
            </ng-container>
            <ng-container matColumnDef="modele">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> modele </th>
                <td mat-cell *matCellDef="let row"> {{ row.modele }}</td>
            </ng-container>
            <ng-container matColumnDef="puissance">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> puissance </th>
                <td mat-cell *matCellDef="let row"> {{ row.puissance }}</td>
            </ng-container>
            <ng-container matColumnDef="actions">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> actions </th>
                <td mat-cell *matCellDef="let row">
                    <div class="btn-group">
                        <button mat-icon-button (click)="detail(row)">
                            <mat-icon>visibility</mat-icon>
                        </button>
                        <button mat-icon-button (click)="edit(row)">
                            <mat-icon>edit</mat-icon>
                        </button>
                        <button mat-icon-button (click)="delete(row)">
                            <mat-icon>delete</mat-icon>
                        </button>
                    </div>
                </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayColumns;"></tr>
        </table>
        <mat-paginator [pageSize]="10" [pageSizeOptions]="[5, 10, 15, 20]"></mat-paginator>
    </div>
    <button class="btn btn-primary" (click)="create()">Create</button>
    <!-- <button *ngIf="isAdmin()" class="btn btn-primary" (click)="create2()">Create</button> -->
</div>